#pragma once
#include "api/Keyboard.h"
#include <luna/Option.h>
#include <luna/Vector.h>

namespace Keyboard
{
    struct KeyboardState
    {
        Vector<u8> key_state;
        bool parsing_ext { false };
        bool parsing_pause { false };
    };

    Option<moon::KeyboardPacket> decode_scancode(u8 scancode, KeyboardState& state);
}
